Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.owasp.dependencycheck.dependency
Enum Evidence.Confidence

    java.lang.Object
      java.lang.Enum<Evidence.Confidence>
          org.owasp.dependencycheck.dependency.Evidence.Confidence

All Implemented Interfaces:
  Serializable, Comparable<Evidence.Confidence>

Enclosing class:
  Evidence

    public static enum Evidence.Confidence

extends Enum<Evidence.Confidence>

The confidence that the evidence is "high" quality.

Enum Constant Summary
`HIGH` High confidence evidence.
`HIGHEST` High confidence evidence.
`LOW` Low confidence evidence.
`MEDIUM` Medium confidence evidence.

Method Summary
`static Evidence.Confidence` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Evidence.Confidence[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HIGHEST

    public static final Evidence.Confidence HIGHEST

  High confidence evidence.

### HIGH

    public static final Evidence.Confidence HIGH

  High confidence evidence.

### MEDIUM

    public static final Evidence.Confidence MEDIUM

  Medium confidence evidence.

### LOW

    public static final Evidence.Confidence LOW

  Low confidence evidence.

Method Detail

### values

    public static Evidence.Confidence[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Evidence.Confidence c : Evidence.Confidence.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Evidence.Confidence valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.